Bug 61973 - up2date hangs on line 817 in gui.py (setarrorcursor call)
Summary: up2date hangs on line 817 in gui.py (setarrorcursor call)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i586 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-26 15:00 UTC by Need Real Name
Modified: 2015-01-07 23:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 22:05:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-26 15:00:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
up2date hangs when installing a number of packages, and there is  an RPM (?) 
error, causing it to go through line 817 in gui.py, where there is a typo, and 
instead of calling SetArrowCursor(), it calls SetArrorCursor(), which throws an 
unknown attribute error and hangs up2date.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.Need to reporoduce error that causes execution to go through line 817 in 
gui.py. I _think_ it has to do with an RPM error of some sort
	

Actual Results:  up2date hangs. I don't know if packages get installed

Expected Results:  up2date should indicate what the error was

Additional info:

Comment 1 David M. Cook 2002-04-17 21:30:22 UTC
Typo is still on line 862 in gui.py in 2.7.84 build.

Comment 2 Adrian Likins 2002-04-17 22:05:29 UTC
should be fixed in 2.7.85 or higher

Comment 3 Jay Turner 2002-05-15 15:04:22 UTC
Fix confirmed with the latest client.


Note You need to log in before you can comment on or make changes to this bug.